---
search:
  tags:
    - Challenges
    - GET
seo:
  description: >-
    Get one challenge with its hints, files and prerequisites. Reference for the
    GET /api/admin/challenges/{id} endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Get one challenge with its hints, files and prerequisites
  badge: GET
title: Get one challenge with its hints, files and prerequisites
type: openapi-operation
---
`GET /api/admin/challenges/{id}`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Not found
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "hints": [
    {
      "id": "string",
      "content": "string",
      "penaltyPoints": 0,
      "position": 0
    }
  ],
  "files": [
    {
      "id": "string",
      "filename": "string",
      "size": 0
    }
  ],
  "prerequisites": [
    "string"
  ],
  "flag": {
    "flagType": "static",
    "caseSensitive": true
  },
  "id": "string",
  "title": "string",
  "categoryId": "string",
  "categoryName": "string",
  "difficultyId": "string",
  "difficultyName": "string",
  "points": 0,
  "description": "string",
  "maxAttempts": 0,
  "status": "hidden",
  "releaseAt": "2019-08-24T14:15:22Z",
  "userSolvesVisible": true,
  "scoringType": "static",
  "initialPoints": 0,
  "minimumPoints": 0,
  "decayFactor": 0,
  "dynamicFlag": true,
  "containerSpec": {
    "services": [
      {
        "name": "string",
        "image": "string",
        "command": [
          "string"
        ],
        "environment": {
          "property1": "string",
          "property2": "string"
        },
        "ports": [
          {
            "port": 0,
            "kind": "tcp"
          }
        ]
      }
    ],
    "size": "xl"
  }
}
```
